# Enum Class VulkanComponentSwizzle

java.lang.Object
java.lang.Enum<VulkanComponentSwizzle>
com.io7m.jcoronado.api.VulkanComponentSwizzle

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanComponentSwizzle>`, `Constable`

public enum VulkanComponentSwizzle extends Enum<VulkanComponentSwizzle> implements VulkanEnumIntegerType
Specify how a component is swizzled.

See Also:
  - "VkComponentSwizzle"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_COMPONENT_SWIZZLE_A`
  Specifies that the component is set to the value of the A component of the image.
  `VK_COMPONENT_SWIZZLE_B`
  Specifies that the component is set to the value of the B component of the image.
  `VK_COMPONENT_SWIZZLE_G`
  Specifies that the component is set to the value of the G component of the image.
  `VK_COMPONENT_SWIZZLE_IDENTITY`
  Specifies that the component is set to the identity swizzle.
  `VK_COMPONENT_SWIZZLE_ONE`
  Specifies that the component is set to either 1 or 1.0, depending on whether the type of the image view format is integer or floating-point respectively, as determined by the Format Definition section for each VkFormat.
  `VK_COMPONENT_SWIZZLE_R`
  Specifies that the component is set to the value of the R component of the image.
  `VK_COMPONENT_SWIZZLE_ZERO`
  Specifies that the component is set to zero.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanComponentSwizzle`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanComponentSwizzle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_COMPONENT_SWIZZLE_IDENTITY

    public static final VulkanComponentSwizzle VK_COMPONENT_SWIZZLE_IDENTITY
    Specifies that the component is set to the identity swizzle.

  - ### VK_COMPONENT_SWIZZLE_ZERO

    public static final VulkanComponentSwizzle VK_COMPONENT_SWIZZLE_ZERO
    Specifies that the component is set to zero.

  - ### VK_COMPONENT_SWIZZLE_ONE

    public static final VulkanComponentSwizzle VK_COMPONENT_SWIZZLE_ONE
    Specifies that the component is set to either 1 or 1.0, depending on whether the type of the image view format is integer or floating-point respectively, as determined by the Format Definition section for each VkFormat.

  - ### VK_COMPONENT_SWIZZLE_R

    public static final VulkanComponentSwizzle VK_COMPONENT_SWIZZLE_R
    Specifies that the component is set to the value of the R component of the image.

  - ### VK_COMPONENT_SWIZZLE_G

    public static final VulkanComponentSwizzle VK_COMPONENT_SWIZZLE_G
    Specifies that the component is set to the value of the G component of the image.

  - ### VK_COMPONENT_SWIZZLE_B

    public static final VulkanComponentSwizzle VK_COMPONENT_SWIZZLE_B
    Specifies that the component is set to the value of the B component of the image.

  - ### VK_COMPONENT_SWIZZLE_A

    public static final VulkanComponentSwizzle VK_COMPONENT_SWIZZLE_A
    Specifies that the component is set to the value of the A component of the image.

- ## Method Details

  - ### values

    public static VulkanComponentSwizzle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanComponentSwizzle valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant